%global octpkg image

Name:           octave-%{octpkg}
Version:        2.14.0
Release:    1%{?dist}
Summary:        Image processing for Octave
License:        GPLv2+
URL:            http://octave.sourceforge.net/image/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz

BuildRequires:  octave-devel >= 4.0.0

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


%description
The Octave-forge Image package provides functions for processing images.
The package also provides functions for feature extraction, image
statistics, spatial and geometric transformations, morphological
operations, linear filtering, and much more.

%prep
%setup -qcT

%build
export XTRA_CXXFLAGS="-fPIC"
%octave_pkg_build -T

%install
%octave_pkg_install

%check
%octave_pkg_check

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo
%{octpkgdir}/private/
%{octpkgdir}/@imref2d/
%{octpkgdir}/@imref3d/
%{octpkgdir}/@strel/
%{_metainfodir}/octave-%{octpkg}.metainfo.xml


%changelog
* Wed Aug 07 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14.0-1
- initial build
